Bug 122248 - Name conflict of "fetchnews" program.
Name conflict of "fetchnews" program.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cyrus-imapd (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: John Dennis
http://leafnode.sourceforge.net/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-02 10:23 EDT by Matthias Andree
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-09 10:54:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Andree 2004-05-02 10:23:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
PLEASE FIX THE VERSION ABOVE SO IT APPLIES TO THE BRANCH THAT IS TO BE
FROZEN ON MAY 7TH.

The new (January 2004) Cyrus-IMAPd version 2.2.3 has added a
"fetchnews" program and manual page that were not part of previous
versions such as 2.1.16.

This name, "fetchnews", has been in use by the Leafnode package since
leafnode 1.9.3, released in July 1999, and causes a problem for
distributors as not two manual pages with the same name can be installed.

I have sent a mail to the Cyrus upstream maintainer and asked them to
change the name, I have offered to change the name in leafnode as well
in exchange after the next major leafnode release.

Related bug reports:
http://bugzilla.fedora.us/show_bug.cgi?id=1445
http://www.freebsd.org/cgi/query-pr.cgi?pr=66171


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install cyrus-imapd RPM
2. Install leafnode RPM
3.
    

Actual Results:  the 2nd RPM to be installed will report a conflict
for some
/usr/share/man/man8/fetchnews.8* file

Expected Results:  cyrus-imapd should not have used the name fetchnews :-)

Additional info:

The result of the negotiations will appear in the bugzilla.fedora.us
and FreeBSD bug data bases first.
Comment 1 Karsten Hopp 2004-05-09 10:54:12 EDT
latest fc2 has renamed fetchnews to cyrfetchnews 

Note You need to log in before you can comment on or make changes to this bug.